require_relative 'module.rb'

module Qricker
  def Qricker.findPodspecs(path)
    podspecs = []
    path = Pathname(path)
    if not path.absolute?
      path = path.realpath
    end
    path.entries.each { |entry|
      if (entry.extname == '.podspec' || entry.to_s.end_with?('.podspec.json'))
        if path.basename.to_path == "Local Podspecs"
          next
        end
        podspecs.push(path.join(entry))
      end
    }
    if podspecs.count != 0
      return podspecs
    else
      path.entries.each {  |entry|
        next if entry.to_path == "."
        next if entry.to_path == ".."
        next if entry.to_path == ".git"
        next if entry.to_path == ".repo"
        next if entry.to_path.start_with?("cocoapods-")
        next if entry.to_path.start_with?("hive-deploy")
        if File.directory?(path.join(entry))
          subpath = path.join(entry)
          ps = findPodspecs(subpath)
          podspecs = podspecs + ps
        end
      }
    end
    return podspecs
  end

  def Qricker.allPodSpecs(path)
    podspecs = findPodspecs(path)
    transSpecs = []
    if not podspecs.nil?
      podspecs.each { |specpath|
        spec = RickerSpec.new(File.basename(specpath,".podspec"), specpath.dirname)
        transSpecs << spec
      }
    end
    return transSpecs
  end
end